QGLayoutIterator(3qt)

NAME
QGLayoutIterator - The abstract base class of internal layout iterators

#include <qabstractlayout.h>

Inherits QShared.

  Public Members
virtual ~QGLayoutIterator ()
virtual QLayoutItem* next ()
virtual QLayoutItem* current ()
virtual QLayoutItem* takeCurrent ()

DESCRIPTION
The abstract base class of internal layout iterators.

To be subclassed by custom layout implementors. The functions that need to be implemented are next(), current() and takeCurrent().

The QGLayoutIterator implements the functionality of QLayoutIterator. Each subclass of QLayout needs a QGLayoutIterator subclass.

MEMBER FUNCTION DOCUMENTATION

QGLayoutIterator::~QGLayoutIterator () [virtual]
Destroys the iterator.

QLayoutItem * QGLayoutIterator::current () [virtual]
Implemented in subclasses to return the current item, or 0 if there is no current item.

QLayoutItem * QGLayoutIterator::next () [virtual]
Implemented in subclasses to move the iterator to the next item and return that item, or 0 if there is no next item.

QLayoutItem * QGLayoutIterator::takeCurrent () [virtual]
Implemented in subclasses to remove the current item from the layout without deleting it, move the iterator to the next item and return the removed item, or 0 if no item was removed.

SEE ALSO
http://doc.trolltech.com/qglayoutiterator.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qglayoutiterator.3qt) and the Qt version (2.3.3).